Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/libmdf: new aport

From: Henrik Holst <henrik.holst_at_millistream.com>
Date: Fri, 2 Jun 2017 17:47:51 +0200

https://millistream.com
Millistream Data Feed API library
---
 testing/libmdf/APKBUILD | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)
 create mode 100644 testing/libmdf/APKBUILD
diff --git a/testing/libmdf/APKBUILD b/testing/libmdf/APKBUILD
new file mode 100644
index 0000000000..d5879412f0
--- /dev/null
+++ b/testing/libmdf/APKBUILD
_at__at_ -0,0 +1,33 @@
+# Contributor: Henrik Holst <henrik.holst_at_millistream.com>
+# Maintainer:
+pkgname=libmdf
+pkgver="1.0.20"
+pkgrel=0
+pkgdesc="Millistream Data Feed API library"
+url="https://millistream.com"
+arch="all"
+license="LGPL3"
+depends=""
+makedepends="libressl-dev zlib-dev alpine-sdk"
+install=""
+subpackages="$pkgname-dev"
+source="ftp://ftp1.millistream.com/sources/$pkgname-$pkgver.tar.gz"
+builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+    cd "$builddir"
+    ./configure --prefix=/usr || return 1
+    make || return 1
+}
+
+check() {
+    cd "$builddir"
+    make check || return 1
+}
+
+package() {
+    cd "$builddir"
+    make DESTDIR="$pkgdir" install || return 1
+}
+
+sha512sums="b6e496839090067e481d21cbdcee473538941979ada1ad44130522d49f8ae276f68c0b073e28651d733046d72dcc1f5d6369c318ea709bc49dbff1354144c400
libmdf-1.0.20.tar.gz"
-- 
2.13.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Jun 02 2017 - 17:47:51 UTC